Connect Ramp API

API reference

Connect Ramp — API Reference

Base URL: https://api.goldrail.xyz (also https://api.openconnect.cc, where /connect/* = /api/connect/*).

Every route below also answers under the train alias /api/genesis/.... Generated from the Official Postman collection (goldrail-api/postman/official-connect-ramp.collection.json), itself built from the route inventory of the code. The Auth column gives the expected credential.

Guides: Connect Ramp.

catalog / public

MethodPathOperationAuth
GET/api/connect/ramp/catalog/public/assetsCatalog assetsPublic
GET/api/connect/ramp/catalog/public/ratesPublic ratesPublic

consumer-offramp

MethodPathOperationAuth
POST/api/connect/ramp/consumer-offramp/requestCreate offramp requestBearer
GET/api/connect/ramp/consumer-offramp/request/{offrampRequestId}Get offramp requestBearer
POST/api/connect/ramp/consumer-offramp/request/{offrampRequestId}/confirm-payoutConfirm payoutBearer
GET/api/connect/ramp/consumer-offramp/requests?page=1&limit=20List offramp requestsBearer

core

MethodPathOperationAuth
POST/api/connect/ramp/core/sessionsCreate sessionAPI key
POST/api/connect/ramp/core/sessions/{session_id}/intents/walletconnectIntent WC stealthAPI key
POST/api/connect/ramp/core/sessions/{session_id}/intents/openconnectIntent OC QR stealthAPI key
POST/api/connect/ramp/core/intents/{intent_id}/prepare-transactionPrepare transactionAPI key
POST/api/connect/ramp/core/intents/{intent_id}/bind-txBind txAPI key
GET/api/connect/ramp/core/intents/{intent_id}Get intentAPI key
POST/api/connect/ramp/core/linksCreate ramp link (Sub-Platform key)Sub-Platform key
GET/api/connect/ramp/core/links?limit=20List ramp links (Sub-Platform key)Sub-Platform key
GET/api/connect/ramp/core/links/{rampLinkId}Get ramp link (Sub-Platform key)Sub-Platform key
PATCH/api/connect/ramp/core/links/{rampLinkId}Update ramp link (Sub-Platform key)Sub-Platform key
DELETE/api/connect/ramp/core/links/{rampLinkId}Delete ramp link (Sub-Platform key)Sub-Platform key
GET/api/connect/ramp/core/operations?limit=20List ramp operations (Sub-Platform key)Sub-Platform key
POST/api/connect/ramp/core/embed-tokenCreate embed token (Sub-Platform key)Sub-Platform key

core / sessions

MethodPathOperationAuth
POST/api/connect/ramp/core/sessions/{session_id}/executeExecute ramp sessionAPI key
POST/api/connect/ramp/core/sessions/{session_id}/payment-intentsRamp payment intentAPI key

offramp / core

MethodPathOperationAuth
POST/api/connect/ramp/offramp/core/fiatOfframp (fiat)API key

onramp / core

MethodPathOperationAuth
POST/api/connect/ramp/onramp/core/fiatOnramp (fiat)API key

providers

MethodPathOperationAuth
GET/api/connect/ramp/providersList provider statusesAPI key
GET/api/connect/ramp/providers/paylink_coolGet provider statusAPI key

sessions / public

MethodPathOperationAuth
GET/api/connect/ramp/sessions/public/pay/{session_id}GET pay sessionPublic
POST/api/connect/ramp/sessions/public/pay/{session_id}/bind-identityBind identityBearer
POST/api/connect/ramp/sessions/public/pay/{session_id}/confirmConfirm payBearer

settings

MethodPathOperationAuth
GET/api/connect/ramp/settings/payment-methodsPayment methodsAPI key
GET/api/connect/ramp/settings/portal-configPortal configAPI key
GET/api/connect/ramp/settings/session-uiSession UIAPI key
PATCH/api/connect/ramp/settings/session-uiSession UI PatchAPI key
GET/api/connect/ramp/settings/softshell-defaultsSoftShell DefaultsAPI key
PATCH/api/connect/ramp/settings/softshell-defaultsSoftShell Defaults PatchAPI key
GET/api/connect/ramp/settings/hosting-settingsHosting settingsAPI key
PATCH/api/connect/ramp/settings/hosting-settingsHosting settings patchAPI key
POST/api/connect/ramp/settings/hosting-settings/domain/verifyVerify custom domainAPI key
PATCH/api/connect/ramp/settings/payment-methodsPatch payment methods + complianceAPI key
PATCH/api/connect/ramp/settings/portal-configPatch portal configAPI key
POST/api/connect/ramp/settings/hosted-qr-codesRegister hosted QRAPI key
GET/api/connect/ramp/settingsGet ramp settings (Sub-Platform key)Sub-Platform key
PUT/api/connect/ramp/settingsUpdate ramp settings (Sub-Platform key)Sub-Platform key

More endpoints (from code) / catalog

MethodPathOperationAuth
GET/api/connect/ramp/catalog/public/enterprises/{slug}GET /api/connect/ramp/catalog/public/enterprises/:slugPublic
GET/api/connect/ramp/catalog/public/enterprises/{slug}/brandingGET /api/connect/ramp/catalog/public/enterprises/:slug/brandingPublic
GET/api/connect/ramp/catalog/public/enterprises/{slug}/hostingGET /api/connect/ramp/catalog/public/enterprises/:slug/hostingPublic
GET/api/connect/ramp/catalog/public/enterprises/{slug}/recipients/{username}GET /api/connect/ramp/catalog/public/enterprises/:slug/recipients/:usernamePublic
GET/api/connect/ramp/catalog/public/enterprises/{slug}/recipients/{username}/validateGET /api/connect/ramp/catalog/public/enterprises/:slug/recipients/:username/validatePublic
GET/api/connect/ramp/catalog/public/tokensGET /api/connect/ramp/catalog/public/tokensPublic

More endpoints (from code) / core

MethodPathOperationAuth
POST/api/connect/ramp/core/checkout/batchPOST /api/connect/ramp/core/checkout/batchAPI key
POST/api/connect/ramp/core/checkout/sessionsPOST /api/connect/ramp/core/checkout/sessionsAPI key
GET/api/connect/ramp/core/checkout/sessions/{id}GET /api/connect/ramp/core/checkout/sessions/:idAPI key
POST/api/connect/ramp/core/checkout/short-linksPOST /api/connect/ramp/core/checkout/short-linksAPI key
GET/api/connect/ramp/core/customers/{customer_id}/accountsGET /api/connect/ramp/core/customers/:customer_id/accountsAPI key
GET/api/connect/ramp/core/customers/{customer_id}/accounts/{label_key}GET /api/connect/ramp/core/customers/:customer_id/accounts/:label_keyAPI key
GET/api/connect/ramp/core/customers/{customer_id}/accounts/{label_key}/fundingGET /api/connect/ramp/core/customers/:customer_id/accounts/:label_key/fundingAPI key
GET/api/connect/ramp/core/customers/{customer_id}/accounts/{label_key}/transactionsGET /api/connect/ramp/core/customers/:customer_id/accounts/:label_key/transactionsAPI key
POST/api/connect/ramp/core/executePOST /api/connect/ramp/core/executeAPI key
POST/api/connect/ramp/core/intents/{id}/cancelPOST /api/connect/ramp/core/intents/:id/cancelAPI key
GET/api/connect/ramp/core/operations/{id}GET /api/connect/ramp/core/operations/:idAPI key
POST/api/connect/ramp/core/quotesPOST /api/connect/ramp/core/quotesAPI key
GET/api/connect/ramp/core/ramp-intents/{id}GET /api/connect/ramp/core/ramp-intents/:idAPI key
POST/api/connect/ramp/core/ramp-intents/{id}/approvePOST /api/connect/ramp/core/ramp-intents/:id/approveAPI key
POST/api/connect/ramp/core/ramp-intents/{id}/rejectPOST /api/connect/ramp/core/ramp-intents/:id/rejectAPI key
GET/api/connect/ramp/core/sessionsGET /api/connect/ramp/core/sessionsAPI key
GET/api/connect/ramp/core/sessions/{id}GET /api/connect/ramp/core/sessions/:idAPI key
PATCH/api/connect/ramp/core/sessions/{id}PATCH /api/connect/ramp/core/sessions/:idAPI key
POST/api/connect/ramp/core/sessions/{id}/cancelPOST /api/connect/ramp/core/sessions/:id/cancelAPI key
POST/api/connect/ramp/core/sessions/{id}/hosted-tokenPOST /api/connect/ramp/core/sessions/:id/hosted-tokenAPI key
POST/api/connect/ramp/core/sessions/{sessionId}/intents/{intentId}/cancelPOST /api/connect/ramp/core/sessions/:sessionId/intents/:intentId/cancelAPI key
GET/api/connect/ramp/core/short-linksGET /api/connect/ramp/core/short-linksAPI key
POST/api/connect/ramp/core/short-linksPOST /api/connect/ramp/core/short-linksAPI key
GET/api/connect/ramp/core/short-links/{code}GET /api/connect/ramp/core/short-links/:codeAPI key

More endpoints (from code) / network

MethodPathOperationAuth
POST/api/connect/ramp/network/collectionsPOST /api/connect/ramp/network/collectionsAPI key
GET/api/connect/ramp/network/collections/{ref}GET /api/connect/ramp/network/collections/:refAPI key
GET/api/connect/ramp/network/platformGET /api/connect/ramp/network/platformAPI key

More endpoints (from code) / offramp

MethodPathOperationAuth
GET/api/connect/ramp/offramp/core/requestsGET /api/connect/ramp/offramp/core/requestsAPI key
POST/api/connect/ramp/offramp/core/requestsPOST /api/connect/ramp/offramp/core/requestsAPI key
GET/api/connect/ramp/offramp/core/requests/{id}GET /api/connect/ramp/offramp/core/requests/:idAPI key
POST/api/connect/ramp/offramp/core/requests/{id}/cancelPOST /api/connect/ramp/offramp/core/requests/:id/cancelAPI key
POST/api/connect/ramp/offramp/core/requests/{id}/confirm-payoutPOST /api/connect/ramp/offramp/core/requests/:id/confirm-payoutAPI key
POST/api/connect/ramp/offramp/core/treasuryPOST /api/connect/ramp/offramp/core/treasuryAPI key

More endpoints (from code) / onramp

MethodPathOperationAuth
POST/api/connect/ramp/onramp/core/to-userPOST /api/connect/ramp/onramp/core/to-userAPI key
POST/api/connect/ramp/onramp/core/treasuryPOST /api/connect/ramp/onramp/core/treasuryAPI key

More endpoints (from code) / providers

MethodPathOperationAuth
GET/api/connect/ramp/providers/{slug}GET /api/connect/ramp/providers/:slugAPI key

More endpoints (from code) / public

MethodPathOperationAuth
GET/api/connect/ramp/public/short-links/{code}/resolveGET /api/connect/ramp/public/short-links/:code/resolvePublic

More endpoints (from code) / sessions

MethodPathOperationAuth
GET/api/connect/ramp/sessions/public/session-configGET /api/connect/ramp/sessions/public/session-configPublic
GET/api/connect/ramp/sessions/public/sessions/hosted/{token}GET /api/connect/ramp/sessions/public/sessions/hosted/:tokenPublic

More endpoints (from code) / settings

MethodPathOperationAuth
GET/api/connect/ramp/settings/path-link-brandGET /api/connect/ramp/settings/path-link-brandAPI key
PATCH/api/connect/ramp/settings/path-link-brandPATCH /api/connect/ramp/settings/path-link-brandAPI key

On this page